Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.dsmediator.update
Class DataServiceToUpdate

    java.lang.Object
      |
      +--com.bea.ld.dsmediator.update.DataServiceToUpdate

public class DataServiceToUpdate
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DataServiceToUpdate(commonj.sdo.DataGraph sdo, java.lang.String dataServiceName)`

Method Summary
`DataServiceToUpdate` | `addContainedDSToUpdate(commonj.sdo.DataGraph containedSDO, java.lang.String dsName)`
`void` | `addContainedDSToUpdate(DataServiceToUpdate dsToUpdate)`
`void` | `addContainedDSToUpdate(DataServiceToUpdate dsToUpdate, int index)`
`void` | `clear()`
`java.util.Collection` | `getContainedDSToUpdateList()`
`commonj.sdo.DataGraph` | `getDataGraph()`
`java.lang.String` | `getDataServiceName()`
`java.util.List` | `getKeyPairList()`
`void` | `removeContainedDSToUpdate(DataServiceToUpdate dsToUpdate)`
`void` | `removeContainedDSToUpdate(int index)`
`void` | `setDataGraph(commonj.sdo.DataGraph dataGraph)`
`void` | `setDataServiceName(java.lang.String dataServiceName)`
`void` | `setKeyPairList(java.util.List keyPairList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataServiceToUpdate

    public DataServiceToUpdate(commonj.sdo.DataGraph sdo,
                               java.lang.String dataServiceName)

  Parameters:
    `sdo` - data graph to be updated
    `dataServiceName` - data service URI for current SDO

Method Detail

### clear

    public void clear()

### getContainedDSToUpdateList

    public java.util.Collection getContainedDSToUpdateList()

  Returns:
    all dependent sdo objects for current sdo

### addContainedDSToUpdate

    public DataServiceToUpdate addContainedDSToUpdate(commonj.sdo.DataGraph containedSDO,
                                                      java.lang.String dsName)

  Parameters:
    `containedSDO` - A SDO that is child/dependent of current SDO
    `dsName` - data service URI for current SDO
  Returns:

### addContainedDSToUpdate

    public void addContainedDSToUpdate(DataServiceToUpdate dsToUpdate)

  Parameters:
    `dsToUpdate` - A SDO that is child/dependent of current SDO

### addContainedDSToUpdate

    public void addContainedDSToUpdate(DataServiceToUpdate dsToUpdate,
                                       int index)

### removeContainedDSToUpdate

    public void removeContainedDSToUpdate(DataServiceToUpdate dsToUpdate)

### removeContainedDSToUpdate

    public void removeContainedDSToUpdate(int index)

### getDataServiceName

    public java.lang.String getDataServiceName()

  Returns:
    data service URI for current SDO

### setDataServiceName

    public void setDataServiceName(java.lang.String dataServiceName)

  Parameters:
    `dataServiceName` - data service URI for current SDO

### getDataGraph

    public commonj.sdo.DataGraph getDataGraph()

### setDataGraph

    public void setDataGraph(commonj.sdo.DataGraph dataGraph)

### getKeyPairList

    public java.util.List getKeyPairList()

### setKeyPairList

    public void setKeyPairList(java.util.List keyPairList)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Bea Systems Inc. All Rights Reserved.